Get User Profile
This API is designed to provide a detailed overview of a user’s profile information based on a provided username. It includes private user data, such as their email and phone number, as well as public data like their username, profile image, and settings preferences.
Request Body
-
username(string): The username of the user whose details you want to fetch. -
user_id(string): The unique identification number of the user whose details you want to fetch. This field is not necessary if a username is provided.
Response
-
user_id(string): The unique identification number of the user. -
profile_version(string): The version of user’s profile. -
image_id(null/string): The unique id of the profile image. -
user_image(string): The URL of the user’s profile image. -
name(string): The name of the user. -
username(string): The username of the user. -
email(string): The email of the user. -
is_show_advt(integer): A flag denoting whether to show advertisements to the user or not. If the value is 1, advertisements are shown; otherwise, they’re not shown. -
autoplay(integer): A flag denoting whether to autoplay media for the user. -
is_vip(integer): A flag indicating if the user has a VIP status. -
is_local_hero(integer): A flag indicating if the user is labelled as a “local hero.” -
is_investor(integer): A flag indicating if the user is an investor. -
pending_vip(integer): A flag indicating if the user has a VIP status pending. -
bio(string): The biography of the user. -
privacy(string): The privacy settings of the user. It can be either ‘public’ or ‘private.’ -
mobile_country_code(string): The mobile country code of the user. -
mobile_number(string): The mobile number of the user. -
is_mobile_number_verified(integer): A flag indicating if the user’s mobile number is verified. -
dob(string): The date of birth of the user. -
age(integer): The age of the user. -
gender(string): The gender of the user. -
country_id(integer): The id of the user’s country. -
user_agent(string): The user agent string of the user’s browser. -
device_manufacturer(null/string): The name of the device manufacturer. -
device_model(null/string): The device model. -
device_os(null/string): The device operating system. -
device_os_version(null/string): The device operating system version. -
device_app_version(null/string): The app version on the user’s device. -
merchant(integer): A flag indicating if the user is a merchant. -
linked_merchant_id(null/string): The id for the linked merchant. -
voice_bio(null/string): The voice biography of the user. -
background_image_id(string): The id of the background image. -
status(integer): The user’s status. -
is_litt(integer): A flag indicating if the user is marked as ‘litt.’ -
joined_date(string): The date the user joined. -
country_selected(integer): A flag indicating if the user has selected a country. -
brags(integer): The number of ‘brags’ the user has. -
isFollowed(integer),isFollowingYou(integer),youFollowThem(integer): Flags denoting follower relationship statuses. -
pending(integer),declined(integer),blocked(integer),can_unblock(integer): Flags denoting pending, declined, blocked, and can unblock statuses. -
activeStory(integer): A flag indicating if the user has an active story. -
my_last_check_in(null/string): The last check-in of the user. -
check_ins(array): Array of check-ins. -
isOwner(boolean): A flag indicating if the user is the owner. -
is_preview_user(integer): A flag indicating if the user is a preview user. -
minimum_age(null/string): The minimum age limit. -
followers(integer): The count of followers the user has. -
following(integer): The count of people the user follows. -
likes(integer): The count of likes the user has received.

